/* 
 * File:   sw_config.h
 * Author: toffi
 *
 * Created on April 16, 2018, 11:53 PM
 */

#ifndef SW_CONFIG_H
#define	SW_CONFIG_H

#ifdef	__cplusplus
extern "C" {
#endif

// This sets which axis of the machine this motorboard is
// Value can be set from 0 to 15
#define OWN_AXIS_NUMBER 4
// In the clock project, this number also decides the role of the specific
// digit wheel:
// 0 -> Single minutes
// 1 -> 10 minutes
// 2 -> no wheel, LED only
// 3 -> Single hours
// 4 -> 10 hours, this board is also "central" and controls the clock
// messages to board 4 are not sent via CAN

#define CLOCK_MOVE_SPEED 7000
#define CLOCK_HOME_SPEED 10000
    
// uart based calibration for magnet encoders
//#define CALIBRATION_MODE
    
// This skips initialisation of module 4, so the clock will run even if it is
// only half assembled
//#define MODULE_TEST_MODE

#if OWN_AXIS_NUMBER == 0
#define ZERO_OFFSET -1400
#elif OWN_AXIS_NUMBER == 1
#define ZERO_OFFSET -9850
#elif OWN_AXIS_NUMBER == 3
#define ZERO_OFFSET -1500
#elif OWN_AXIS_NUMBER == 4
#define ZERO_OFFSET -14900
//#define ZERO_OFFSET -15000
#endif

#ifdef	__cplusplus
}
#endif

#endif	/* SW_CONFIG_H */

